突然想起来老板昨天（2023年3月13日下午6点会议）说的一句话：
> 如果你发现频繁的进入某一个不良的状态，那说明更底层的东西出问题了，例如：经常和女朋友吵架，可能是由于更深层次的东西，三观不合等问题引起的。

于是对自己反思，在我生命中存在着哪些不断重复的错误：
- 睡不醒，犯困
- 爱玩游戏，比别人更加沉迷
- 粗心大意，很容易犯错
- 做事浅尝而至，没能坚持
- 阶段性目标丢失，不知道自己要干什么

经营，不限于公司、事业，也包含自己的人生。从始至终还是很佩服公司能从几个人的团队走到今天的。回溯代码，完全是一步步搭建起来，多少人共同的努力。还有玺哥，他的人生也是让人觉得一个平凡的人也是可以逆袭的，给人以勇气。
老板常会挂在口边的一句话：大方向一定要对，作为团队的领导者，这一条绝对不能犯太大错误。

于我们每个人，自己是掌舵者，所以当自己开始有所迷茫了，那一定是有些非常重要的东西出问题了。

参考别人解决问题的步骤，会让我们有所感悟，以自己在日常工作中最典型的软件开发为例：
> - 需求：开发一个能够易用的示例工程，提供给使用者，改善易用性，降低使用者时间成本。
- 目标：易用性改善、降低成本、提高公司收入
- 规划：下一个版本必须完成
- 步骤：
  -  产品制定软件大致流程、讨论、汇总最终的prd(产品需求文档)
  -  开发人员制定开发计划，期间讨论解决遇到的问题
  -  最后测试，发布

当最终将功能做出来的时候，才明白这个东西意义重大，以一个使用者的角度，确实会节约自己很多的时间。这个从无到有的过程，发现问题-解决问题的思路对我很有启发。

首先也是最重要的：**找到痛点、找到需求**

这些痛点是我们准备筹划一件事的开端，起着决定性的作用，它们来源于不断的追问：追问用户、追问使用者、追问自己。最终确立了要去做，而且必须做。

如何去追问？或者说以一个什么样的标准来判定？
对于一个公司是：**提高公司收入、降低成本**，就这么简单，因为这是一个公司的经营的核心目的，公司不是做慈善的，经营就是为了赚钱。
所以产品想到的一个需求，应首先参考这两个点，做了能否提高公司收入，或者能否降低成本。
> 实际上回过头来看这一段总结（2023年3月15日10:13分），出发点不是用户，而是公司。对于用户而言，他们的痛点公司如果给予解决，则意味着公司就会提高收入，所以我们去思考用户痛点的时候最本质的还是基于是否能带给公司收入，如果一个用户痛点本身不能带给公司收入、或者说这个痛点意味着公司需要花费更多的时间、资金、人力（投入产出比太小）那就不应该花时间去解决它

其次，我们会收集到很多这样的需求，把这些各种各样的需求汇总到一起，形成需求池，一步步的规划，确认优先级，不断的完善

最后找到优先级最高的几个，认真的去完成，必须有时间节点，阶段性的目标等。

同理，个人在这世间如同公司一样，首先要找到自己的目的，对于自己：
- 最根本目的：生存是第一要务
- 最基础的条件：
  - 身体健康
  - 心灵健康
- 身体健康基础要素：
  - 物质充足
  - 没有疾病
- 心灵健康基础要素：
  - 拒绝污垢
  - 充足知识
  
即：一切行为最终的目的是为了生存，确保身体和心灵都处于健康或者走向健康的状态，故需要尽可能的使得自己物质上充足、远离疾病，拒绝哪些黑暗的思想，以及保持开放的心态学习非常有营养的知识来滋润心灵。

这就是我以后做事的最基础的出发点，做事先考虑：
1. 是否能使得自己物质越来越充足
2. 是否能使自己远离疾病
3. 是否是一些污垢的思想
4. 是否对自己心灵有非常大的提高

上述的那些不断重复的错误，对自己而言，是一种缺憾。不断的反思，收集自己存在的问题，这些问题很可能会违背根本的目标，我们就像一个产品经理一样，借助收集的那些缺憾来决定人生规划，使自己越发的适应这个世界，很好的生存。